#include "IRremote.h"
#include "SR04.h"
#define TRIG_PIN 5
#define ECHO_PIN 4
SR04 sr04 = SR04(ECHO_PIN, TRIG_PIN);
long b;
int a;

IRrecv irrecv(3); // указываем вывод, к которому подключен приемник



decode_results results;
void setup() {
  // put your setup code here, to run once:
  pinMode(12, OUTPUT);
  pinMode(11, OUTPUT);
  pinMode(10, OUTPUT);
  pinMode(9, OUTPUT);
  pinMode(8, OUTPUT);
  pinMode(7, OUTPUT);

  irrecv.enableIRIn(); // запускаем прием
  Serial.begin(9600);
  Serial.println("Example written by Coloz From Arduin.CN");
  delay(5000);

}

void loop() {
  b = sr04.Distance();
  Serial.print(b);
  Serial.println("cm");
  // put your main code here, to run repeatedly:
  if ( irrecv.decode( &results )) { // если данные пришли
    Serial.println( results.value ); // печатаем данные
    irrecv.resume(); // принимаем следующую команду
    if (results.value == 16718055) {
      delay(5000);
      a = 1;
    }
  }
  if (a == 1) {
    if (b < 70) {
      digitalWrite(12, HIGH);
      digitalWrite(11, LOW);
      digitalWrite(8, HIGH);
      digitalWrite(9, LOW);
      digitalWrite(10, HIGH);
      digitalWrite(7, HIGH);
    } else {
      digitalWrite(8, LOW);
      digitalWrite(9, HIGH);
      digitalWrite(12, HIGH);
      digitalWrite(11, LOW);
      digitalWrite(10, HIGH);
      digitalWrite(7, HIGH);
    }


  }
}
